/// <reference types="react" />
import { IPublicApiCommonUI, IPublicTypeContextMenuAction } from '@alilc/lowcode-types';
import { HelpTip, IEditor, Tip as InnerTip, Title as InnerTitle } from '@alilc/lowcode-editor-core';
import { Balloon, Breadcrumb, Card, Checkbox, DatePicker, Dialog, Dropdown, Form, Icon, Input, Message, Overlay, Pagination, Radio, Search, Select, SplitButton, Step, Switch, Tab, Table, Tree, TreeSelect, Upload, Divider } from '@alifd/next';
import { editorSymbol } from '../symbols';
export declare class CommonUI implements IPublicApiCommonUI {
    [editorSymbol]: IEditor;
    Balloon: typeof Balloon;
    Breadcrumb: typeof Breadcrumb;
    Button: {
        new (props: import("@alifd/next/types/button").ButtonProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, context?: unknown): import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/button").ButtonProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/button/view/button").default>;
        contextType?: import("react").Context<any>;
    } & {
        propTypes: {
            prefix: import("prop-types").Requireable<string>;
            rtl: import("prop-types").Requireable<boolean>;
            type: import("prop-types").Requireable<string>;
            size: import("prop-types").Requireable<string>;
            icons: import("prop-types").Requireable<import("prop-types").InferProps<{
                loading: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
            }>>;
            iconSize: import("prop-types").Requireable<string | number>;
            htmlType: import("prop-types").Requireable<string>;
            component: import("prop-types").Requireable<string>;
            loading: import("prop-types").Requireable<boolean>;
            ghost: import("prop-types").Requireable<string | boolean>;
            text: import("prop-types").Requireable<boolean>;
            warning: import("prop-types").Requireable<boolean>;
            disabled: import("prop-types").Requireable<boolean>;
            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
            className: import("prop-types").Requireable<string>;
            onMouseUp: import("prop-types").Requireable<(...args: any[]) => any>;
            children: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
            locale: import("prop-types").Requireable<object>;
            defaultPropsConfig: import("prop-types").Requireable<object>;
            errorBoundary: import("prop-types").Requireable<boolean | object>;
            pure: import("prop-types").Requireable<boolean>;
            device: import("prop-types").Requireable<string>;
            popupContainer: import("prop-types").Requireable<any>;
        };
        defaultProps: {
            prefix: string;
            type: string;
            size: string;
            icons: {};
            htmlType: string;
            component: string;
            loading: boolean;
            ghost: boolean;
            text: boolean;
            warning: boolean;
            disabled: boolean;
            onClick: () => void;
        };
        Group: {
            new (props: import("@alifd/next/types/button").GroupProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, context?: unknown): import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/button").GroupProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
                render(): import("react").JSX.Element;
                context: any;
                setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<import("@alifd/next/types/button").GroupProps>) => {} | Pick<{}, K>) | Pick<{}, K>, callback?: () => void): void;
                forceUpdate(callback?: () => void): void;
                readonly props: Readonly<import("@alifd/next/types/button").GroupProps> & Readonly<{
                    children?: import("react").ReactNode;
                }>;
                state: Readonly<{}>;
                refs: {
                    [key: string]: import("react").ReactInstance;
                };
                componentDidMount?(): void;
                shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/button").GroupProps>, nextState: Readonly<{}>, nextContext: any): boolean;
                componentWillUnmount?(): void;
                componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
                getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/button").GroupProps>, prevState: Readonly<{}>): any;
                componentDidUpdate?(prevProps: Readonly<import("@alifd/next/types/button").GroupProps>, prevState: Readonly<{}>, snapshot?: any): void;
                componentWillMount?(): void;
                UNSAFE_componentWillMount?(): void;
                componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/button").GroupProps>, nextContext: any): void;
                UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/button").GroupProps>, nextContext: any): void;
                componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/button").GroupProps>, nextState: Readonly<{}>, nextContext: any): void;
                UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/button").GroupProps>, nextState: Readonly<{}>, nextContext: any): void;
            }>;
            contextType?: import("react").Context<any>;
        } & {
            propTypes: {
                rtl: import("prop-types").Requireable<boolean>;
                prefix: import("prop-types").Requireable<string>;
                size: import("prop-types").Requireable<string>;
                className: import("prop-types").Requireable<string>;
                children: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                locale: import("prop-types").Requireable<object>;
                defaultPropsConfig: import("prop-types").Requireable<object>;
                errorBoundary: import("prop-types").Requireable<boolean | object>;
                pure: import("prop-types").Requireable<boolean>;
                warning: import("prop-types").Requireable<boolean>;
                device: import("prop-types").Requireable<string>;
                popupContainer: import("prop-types").Requireable<any>;
            };
            defaultProps: {
                prefix: string;
                size: string;
            };
        };
    };
    Card: typeof Card;
    Checkbox: typeof Checkbox;
    DatePicker: typeof DatePicker;
    Dialog: typeof Dialog;
    Dropdown: typeof Dropdown;
    Form: typeof Form;
    Icon: typeof Icon;
    Input: typeof Input;
    Loading: any;
    Message: typeof Message;
    Overlay: typeof Overlay;
    Pagination: typeof Pagination;
    Radio: typeof Radio;
    Search: typeof Search;
    Select: typeof Select;
    SplitButton: typeof SplitButton;
    Step: typeof Step;
    Switch: typeof Switch;
    Tab: typeof Tab;
    Table: typeof Table;
    Tree: typeof Tree;
    TreeSelect: typeof TreeSelect;
    Upload: typeof Upload;
    Divider: typeof Divider;
    constructor(editor: IEditor);
    get Tip(): typeof InnerTip;
    get HelpTip(): typeof HelpTip;
    get Title(): typeof InnerTitle;
    get ContextMenu(): {
        (props: any): import("react").JSX.Element;
        create(menus: IPublicTypeContextMenuAction[], event: MouseEvent): Function;
    };
}
